<?php

function getSortArr($sortArray){
    ksort($sortArray);
    $str='';
    foreach($sortArray as $val){
        $str.=$val;
    }
    return $str;
}
$abc=array(
    'citycode'=>'0591',
    'key'=>'2ba49dcb9d9601f460892005e2a80171',
    'lng'=>119.24174,
    'lat'=>26.05318,
);

$result=getSortArr($abc);
echo md5('3f06016e8c7d0b4183000ed60ac039e0~!@#$`1234qwert');exit;
?>